#!/usr/bin/python

import sys, pygame
from pygame.locals import *
import pygame.mixer                                     
pygame.mixer.init()                                             

sound1 = pygame.mixer.Sound('sounds/sound1.wav')
sound2 = pygame.mixer.Sound('sounds/sound2.wav')
sound3 = pygame.mixer.Sound('sounds/sound3.wav')
sound4 = pygame.mixer.Sound('sounds/sound4.wav')
sound5 = pygame.mixer.Sound('sounds/sound5.wav')
sound6 = pygame.mixer.Sound('sounds/sound6.wav')

pygame.init()

size = width, height = 800, 480
black = 0, 0, 0


screen = pygame.display.set_mode(size)
screen.fill(black)

exitbutton = pygame.image.load("buttons/exit.png")
screen.blit(exitbutton, (0,0))
exitrect = exitbutton.get_rect()

button1 = pygame.image.load("buttons/button1.png")
screen.blit(button1, (60,10))
button1rect = button1.get_rect()

button2 = pygame.image.load("buttons/button2.png")
screen.blit(button2, (60,220))
button2rect = button2.get_rect()

button3 = pygame.image.load("buttons/button3.png")
screen.blit(button3, (270,10))
button3rect = button3.get_rect()

button4 = pygame.image.load("buttons/button4.png")
screen.blit(button3, (270,220))
button4rect = button4.get_rect()

button5 = pygame.image.load("buttons/button5.png")
screen.blit(button5, (480,10))
button5rect = button5.get_rect()

button6 = pygame.image.load("buttons/button6.png")
screen.blit(button3, (480,220))
button6rect = button6.get_rect()

#uncomment to run in FullScreen Mode
pygame.display.toggle_fullscreen()

pygame.display.flip()

# Wait for input.
while 1:
     for event in pygame.event.get():
         if event.type == pygame.QUIT: 
		sys.exit()
	 elif event.type == KEYDOWN and event.key == K_ESCAPE:
                sys.exit()
	 elif event.type == MOUSEBUTTONDOWN:
                x,y = pygame.mouse.get_pos()
                if (exitrect.collidepoint(x,y)):
			print "Exit"
			sys.exit()
		elif (button1rect.collidepoint(x-60,y-10)):
			print "button 1 clicked"
			sound1.play()
                elif (button2rect.collidepoint(x-60,y-220)):
                        print "button 2 clicked"
			sound2.play()
                elif (button3rect.collidepoint(x-270,y-10)):
                        print "button 3 clicked"
			sound3.play()
                elif (button4rect.collidepoint(x-270,y-220)):
                        print "button 4 clicked"
			sound4.play()
                elif (button5rect.collidepoint(x-480,y-10)):
                        print "button 5 clicked"
			sound5.play()
                elif (button6rect.collidepoint(x-480,y-220)):
                        print "button 6 clicked"
			sound6.play()



